;##################################################################
;
;   ZMercury (player bullets)
;                                                                     
;   Programmed by Patrick Davidson (pad@calc.org)
;        
;   Copyright 2004 by Patrick Davidson.  This software may be freely
;   modified and/or copied with no restrictions.  There is no warranty.
;
;   This file was last updated November 28, 2004.
;
;##################################################################     

player_shoot:
        ld      hl,player_bullets
        ld      de,pb_size
        ld      b,pb_num
loop_spb:
        ld      a,(hl)
        or      a
        jr      z,found
        add     hl,de
        djnz    loop_spb
        ret
found:  ld      (hl),1
        inc     hl
        ld      a,(player_x)
        add     a,2
        ld      (hl),a
        inc     hl
        ld      (hl),8
        inc     hl
        ld      a,(player_y)
        add     a,4
        ld      (hl),a
        inc     hl
        ld      (hl),4
        inc     hl
        ld      (hl),3
        ret

handle_player_bullets:
        ld      hl,player_bullets
        ld      b,pb_num
loop_hpb:
        ld      a,(hl)
        or      a
        jr      z,npb
        push    hl
        inc     hl
        ld      a,(hl)
        add     a,4
        cp      136
        jr      nc,pbk
        ld      (hl),a
        ld      d,a
        inc     hl
        inc     hl
        ld      e,(hl)
        ld      hl,img_bullet1
        push    bc
        call    drw_spr
        pop     bc
        pop     hl
npb:    ld      de,pb_size
        add     hl,de
        djnz    loop_hpb
        ret

pbk:    pop     hl
        dec     (hl)
        jr      npb
